Subject: bug#51809: 29.0.50; [PATCH] Support for outline default state in Diff buffers

From: Juri Linkov <[email-masked]>
Date: Sun, 16 Jan 2022 20:14:15 +0200

tags 51809 + patch fixed
thanks

Hi Matthias,

>>   # -*- mode: outline-minor; -*-
>
> This usage of "mode:" looks quite exotic to me. Isn't outine-minor a
> minor mode? According to the documentation:
>
>    The special variable/value pair ‘mode: MODENAME;’, if present,
>    specifies a major mode (without the “-mode” suffix).
>
> I prefer not support this if possible.

You are right, it rather should be more like:

  -*- mode: text; mode: outline-minor; -*-

that is supported.

> Here is an updated patch (just rebased my local branch, some minor
> conflicts appeared in outline.el):

Thanks for working on this patch!  I've tested it thoroughly,
and everything works nicely, so I pushed it to master.

> What would be the next step? Should we stop here or introduce some
> customization in Diff mode to help people discover how the "outline
> default state feature" can be used there (not convinced myself it'd be
> usefull)?

Maybe more documentation about using this in diff-mode
could be added to the docstrings and to the manual?